{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.journalctl;
in
{
  options.marleyos.programs.journalctl.enable = mkEnableOption "journalctl";

  config = mkIf cfg.enable {
    home.shellAbbrs = {
      jctlf = "sudo journalctl --follow --unit";
      jctle = "sudo journalctl --pager-end --unit";
    };
  };
}
